%define _prefix /opt/freeware
%define _defaultdocdir %{_prefix}/doc

%define libbonobo_version 2.2.0
%define orbit2_version 2.6.1
%define bonobo_activation_version 2.2.1.1
%define libbonobo_version 2.2.0
%define glib2_version 2.2.1

Summary: 	Gnome Speech
Name:    	gnome-speech
Version: 	0.2.1
Release:	2
URL: 		http://www.gnome.org
Source: 	%{name}-%{version}.tar.bz2

Patch0:		gnome-speech-0.2.1-aix.patch

License: 	GPL 
AutoReqProv:	no
Group: 		Gnome2/Accessibility
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
Obsoletes:	gnome-speech-viavoice-driver
Provides:	libgnomespeech.a(libgnomespeech.so.0)
Requires:	libbonobo >= %{libbonobo_version}
Requires:	ORBit2 >= %{orbit2_version}
Requires:	bonobo-activation >= %{bonobo_activation_version}
Requires:	libbonobo >= %{libbonobo_version}
Requires:       glib2 >= %{glib2_version}
BuildRequires:	libbonobo-devel >= %{libbonobo_version}
BuildRequires:	ORBit2-devel >= %{orbit2_version}
BuildRequires:	bonobo-activation-devel >= %{bonobo_activation_version}

%description
Gnome Speech including viavoice driver

%package devel
Summary:	Development tools.
Group: 		Gnome2/Accessibility
Requires:	gnome-speech = %{version}

%description devel
Lib for development

%package festival-driver
Summary:	Festival driver for Gnome Speech
Group: 		Gnome2/Accessibility
Requires:	gnome-speech = %{version}
Provides:	gnome-speech-driver
%description festival-driver
Festival driver for Gnome Speech

%prep
%setup -q

if test x$PATCH = x ; then
  PATCH=patch ;
fi
$PATCH -p2 -s < %{_sourcedir}/gnome-speech-0.2.1-aix.patch

chmod +x configure
chmod +x install-sh
chmod +x mkinstalldirs

%build
LDFLAGS=-L%{_libdir} CPPFLAGS=-I%{_includedir} PATH=%{_bindir}:$PATH CFLAGS="-qcpluscmt" ./configure --prefix=%{_prefix}
LIBPATH=%{_libdir} PATH=%{_bindir}:$PATH make


if test "%{buildroot}" != "/"; then
        rm -rf %{buildroot}
fi
mkdir -p %{buildroot}
make DESTDIR=%{buildroot} install-strip

# Make the links
cd %{buildroot}
for dir in bin lib include
do
        mkdir -p usr/$dir
        cd usr/$dir
        ln -sf ../..%{_prefix}/$dir/* .
        cd -
done

%files 
%defattr(-,root,system)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_datadir}/idl/gnome-speech-1.0/*
%{_libdir}/orbit-2.0/*.a
%{_libdir}/*.a
%{_libdir}/bonobo/servers/GNOME_Speech_SynthesisDriver_Dectalk.server
%{_bindir}/test-speech
%{_bindir}/viavoice-synthesis-driver
%{_libdir}/bonobo/servers/GNOME_Speech_SynthesisDriver_Viavoice.server


/usr/lib/lib*.a
/usr/bin/test-speech

%files devel
%defattr(-, root, system)
%{_libdir}/orbit-2.0/*.la
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
%{_includedir}/gnome-speech-1.0/gnome-speech/*.h

/usr/include/*


/usr/bin/viavoice-synthesis-driver

#%files festival-driver
#%defattr(-, root, system)
#%{_bindir}/festival-synthesis-driver
#%{_libdir}/bonobo/servers/GNOME_Speech_SynthesisDriver_Festival.server
#/usr/bin/festival-synthesis-driver
